<?php

/*
 * @package RS-MINI
 * @copyright (c) 2015 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 
namespace core;

if(!defined('RS-MINI')) die();

/*
 * page v 1.0
 * 
 * Класс хранит инфу о странице
 *
 */

class page
{   
	/*
     * свойство id страницы
     *
     * @var    - integer
     * @access - public
     */
	
	public $pageID;
	
	/*
     * свойство alias страницы
     *
     * @var    - string
     * @access - public
     */
	
	public $pageAlias;
	
	/*
     * свойство имя страницы
     *
     * @var    - string
     * @access - public
     */
	
	public $pageName;
	
	/*
     * свойство узловой шаблон страницы
     *
     * @var    - string
     * @access - public
     */
	
	public $pageView;
	
	/*
     * свойство родителя страницы
     *
     * @var    - integer
     * @access - public
     */
	
	public $pageParent;
	
	/*
     * свойство тип страницы
     *
     * @var    - string
     * @access - public
     */
	
	public $pageType;
    
	/*
     * свойство хранит настоящий алиас в случае если страница динамичная
     *
     * @var    - string
     * @access - public
     */
	
	public $pageDynamicAlias;
	
	/*
     * массив с контроллерами страницы
     *
     * @var    - array
     * @access - public
     */
	
	public $controllerList;

	/*
     * контсруктор. получаем свойства страницы
     * 
     * @access - public
     * 
     * @param array page - строка из выборки страниц
     */
	
	public function __construct(&$page)
	{

	}
}
